Webhooks

Webhook management and events

Get all available webhook event types

get
Authorizations
Responses
chevron-right
200

Returns list of all webhook event types with descriptions and example payloads

application/json
eventTypestringRequired

Event type identifier

Example: extracted
descriptionstringRequired

Human-readable description of when this event is triggered

Example: Triggered after successful AI extraction of submission data
examplePayloadobjectRequired

Example payload structure for this event type

Example: {"eventId":"123e4567-e89b-12d3-a456-426614174000","eventType":"extracted","timestamp":"2023-10-28T12:00:00.000Z","submissionId":"sub_789012","templateId":"tpl_345678"}
get
/api/webhook/events
200

Returns list of all webhook event types with descriptions and example payloads

Create webhook subscription

post
Authorizations
Body
eventstring · enumRequiredPossible values:
urlstringRequired

URL where webhook notifications will be sent

Example: https://example.com/webhook-endpoint
Responses
post
/api/webhook/subscription

Get all webhook subscriptions

get
Authorizations
Responses
chevron-right
200

List of webhook subscriptions

application/json
idstringRequired

Unique identifier of the webhook subscriber

Example: 123e4567-e89b-12d3-a456-426614174000
eventstring · enumRequiredPossible values:
urlstringRequired

URL where webhook notifications will be sent

Example: https://example.com/webhook-endpoint
secretobjectRequired

Secret token used for HMAC signature generation

Example: 123e4567-e89b-12d3-a456-426614174000
createdAtstring · date-timeRequired

Timestamp when the webhook subscription was created

Example: 2023-01-01T12:00:00Z
updatedAtstring · date-timeRequired

Timestamp when the webhook subscription was last updated

Example: 2023-01-01T13:30:00Z
get
/api/webhook/subscriptions

Get webhook subscription by ID

get
Authorizations
Path parameters
idstringRequired

Subscription ID

Responses
chevron-right
200

The webhook subscription details

application/json
idstringRequired

Unique identifier of the webhook subscriber

Example: 123e4567-e89b-12d3-a456-426614174000
eventstring · enumRequiredPossible values:
urlstringRequired

URL where webhook notifications will be sent

Example: https://example.com/webhook-endpoint
secretobjectRequired

Secret token used for HMAC signature generation

Example: 123e4567-e89b-12d3-a456-426614174000
createdAtstring · date-timeRequired

Timestamp when the webhook subscription was created

Example: 2023-01-01T12:00:00Z
updatedAtstring · date-timeRequired

Timestamp when the webhook subscription was last updated

Example: 2023-01-01T13:30:00Z
get
/api/webhook/subscription/{id}

Update webhook subscription

put
Authorizations
Path parameters
idstringRequired

Subscription ID

Body
eventstring · enumOptionalPossible values:
urlstringOptional

URL where webhook notifications will be sent

Example: https://example.com/webhook-endpoint
Responses
chevron-right
200

The updated webhook subscription

application/json
idstringRequired

Unique identifier of the webhook subscriber

Example: 123e4567-e89b-12d3-a456-426614174000
eventstring · enumRequiredPossible values:
urlstringRequired

URL where webhook notifications will be sent

Example: https://example.com/webhook-endpoint
secretobjectRequired

Secret token used for HMAC signature generation

Example: 123e4567-e89b-12d3-a456-426614174000
createdAtstring · date-timeRequired

Timestamp when the webhook subscription was created

Example: 2023-01-01T12:00:00Z
updatedAtstring · date-timeRequired

Timestamp when the webhook subscription was last updated

Example: 2023-01-01T13:30:00Z
put
/api/webhook/subscription/{id}

Delete webhook subscription

delete
Authorizations
Path parameters
idstringRequired

Subscription ID

Responses
chevron-right
200

Subscription successfully deleted

application/json
successbooleanRequired

Indicates if the delete operation was successful

Example: true
delete
/api/webhook/subscription/{id}

Last updated

Was this helpful?